<?php   

$SliderSingleChoice = getFitnessPostsType('slider');

$wp_customize->add_section(
	'slider_section',
	array(
		'title' => __( 'Slider Section', 'Luzuk' ),
        'panel' => 'lz_fitness_premium_home_panel',
		'priority' =>18
	)
);

$wp_customize->add_setting(
	'slider_section_show_content',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'slider_section_show_content',
		array(
			'settings'      => 'slider_section_show_content',
			'section'       => 'slider_section',
			'label'         => __( 'Hide Title and description on slider', 'Luzuk' ),
			'on_off_label'  => array(
				'on' => __( 'No', 'Luzuk' ),
				'off' => __( 'Yes', 'Luzuk' )
			),
		)
	)
);

$wp_customize->add_setting('slider_section_lbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Info_Text( 
		$wp_customize,
		'slider_section_lbl',
		array(
			'settings'		=> 'slider_section_lbl',
			'section'		=> 'slider_section',
			'label'			=> __( 'Note:', 'Luzuk' ),	
			'description'	=> __( 'The Page featured image works as a slider banner and the title & content work as a slider caption. And you can add this from the Slider menu.', 'Luzuk' ),
		)
	)
);


lzCustomLable($wp_customize, 'set_sliderSectionOverlayop', 'slider_section', 'Set Slider Overlay Opacity & Its Background Color:');

$wp_customize->add_setting(
    'slider_overlayop', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0.6', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'slider_overlayop',
    array(
        'settings'      => 'slider_overlayop',
        'section'       => 'slider_section',
        'type'          => 'text',
        'label'         => __( 'Set Opacity:', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'slider_overlayBackground_color_one', array(
        'default'           => '#081c89',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'slider_overlayBackground_color_one',array(
            'settings'      => 'slider_overlayBackground_color_one',
            'section'       => 'slider_section',
            'label'         => __( 'Slider Overlay Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'slider_overlayBackground_color_two', array(
        'default'           => '#07436d',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'slider_overlayBackground_color_two',array(
            'settings'      => 'slider_overlayBackground_color_two',
            'section'       => 'slider_section',
            'label'         => __( 'Slider Overlay Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 


lzCustomLable($wp_customize, 'bubble_animdisplay', 'slider_section', 'Bubble Animation Display Setting:');
// to show & hide another button
$wp_customize->add_setting( 'HideShowAnimation_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'HideShowAnimation_display', array( 'label' => 'Bubble Animation Display', 'section' => 'slider_section', 'settings' => 'HideShowAnimation_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Bubble Animation', 'hide' => 'Hide Bubble Animation', ), ) ); 

addColorPalatOption($wp_customize, 'slider_TitleColor', 'slider_section', 'Slider Title Color', '#ffffff');
addColorPalatOption($wp_customize, 'slider_TitleBorderColor', 'slider_section', 'Slider Title Border Color', '#5da4f2');

addColorPalatOption($wp_customize, 'slider_SubtitleColor', 'slider_section', 'Slider Sub Title Color', '#ffffff');

lzCustomLable($wp_customize, 'lz_fitness_sliderotherclrs', 'slider_section', 'Set button colors:');

// Slider Button Text color
addColorPalatOption($wp_customize, 'slider_buttontextColor', 'slider_section', 'Slider Button Text & Arrow Color', '#ffffff');
$wp_customize->add_setting(
    'slider_button_color_one', array(
        'default'           => '#4ac6eb',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'slider_button_color_one',array(
            'settings'      => 'slider_button_color_one',
            'section'       => 'slider_section',
            'label'         => __( 'Slider Button Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'slider_button_color_two', array(
        'default'           => '#596be9',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'slider_button_color_two',array(
            'settings'      => 'slider_button_color_two',
            'section'       => 'slider_section',
            'label'         => __( 'Slider Button Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 




addColorPalatOption($wp_customize, 'slider_HoverPrevNxtBtnColor', 'slider_section', 'Slider Hover Prev & Next Button Color', '#ffffff');

$wp_customize->add_setting(
    'slider_PrevNxtbutton_color_one', array(
        'default'           => '#4ac6eb',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'slider_PrevNxtbutton_color_one',array(
            'settings'      => 'slider_PrevNxtbutton_color_one',
            'section'       => 'slider_section',
            'label'         => __( 'Slider Hover Prev & Next Button Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'slider_PrevNxtbutton_color_two', array(
        'default'           => '#596be9',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'slider_PrevNxtbutton_color_two',array(
            'settings'      => 'slider_PrevNxtbutton_color_two',
            'section'       => 'slider_section',
            'label'         => __( 'Slider Hover Prev & Next Button Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 


addColorPalatOption($wp_customize, 'slider_IndicatorsColor', 'slider_section', 'Slider Indicators Color', '#ffffff');


lzCustomLable($wp_customize, 'sliderContactBoxPostionBottom', 'slider_section', 'Contact Box Details:');



$wp_customize->add_setting(
    'slider_callbox',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '-70px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'slider_callbox',
    array(
        'settings'      => 'slider_callbox',
        'section'       => 'slider_section',
        'type'          => 'text',
        'label'         => __( 'Set Contact Box Position From Bottom:', 'Luzuk' )
    )
);



$wp_customize->add_setting(
    'sliderphone_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Call Us', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sliderphone_title',
    array(
        'settings'      => 'sliderphone_title',
        'section'       => 'slider_section',
        'type'          => 'text',
        'label'         => __( 'Phone Tagline', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'sliderphone_number',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '1800-123-4567', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sliderphone_number',
    array(
        'settings'      => 'sliderphone_number',
        'section'       => 'slider_section',
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'slider_PhoneIconColor', 'slider_section', 'Phone Icon Color', '#ffffff');
$wp_customize->add_setting(
    'slider_PhoneIconBg_color_one', array(
        'default'           => '#4ac6eb',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'slider_PhoneIconBg_color_one',array(
            'settings'      => 'slider_PhoneIconBg_color_one',
            'section'       => 'slider_section',
            'label'         => __( 'Phone Icon Background Color One', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'slider_PhoneIconBg_color_two', array(
        'default'           => '#596be9',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'slider_PhoneIconBg_color_two',array(
            'settings'      => 'slider_PhoneIconBg_color_two',
            'section'       => 'slider_section',
            'label'         => __( 'Phone Icon Background Color Two', 'Luzuk Premium' ),
        )
    )
); 



addColorPalatOption($wp_customize, 'slider_PhoneTaglineColor', 'slider_section', 'Highlight Text Color', '#798af7');
addColorPalatOption($wp_customize, 'slider_PhoneNumColor', 'slider_section', 'Other Text Color', '#2c2c2c');

addColorPalatOption($wp_customize, 'slider_PhoneBoxBgssColor', 'slider_section', 'Phone Box Background Color', '#ffffff');

addColorPalatOption($wp_customize, 'slider_PhoneHoverIconColor', 'slider_section', 'Phone Box Hover Icon Color', '#5585ea');


